import request from '@/utils/request'

// 查询办事指南列表
export function listGuide(query) {
  return request({
    url: '/szxc/guide/list',
    method: 'get',
    params: query
  })
}

// 查询办事指南详细
export function getGuide(id) {
  return request({
    url: '/szxc/guide/' + id,
    method: 'get'
  })
}

// 新增办事指南
export function addGuide(data) {
  return request({
    url: '/szxc/guide',
    method: 'post',
    data: data
  })
}

// 修改办事指南
export function updateGuide(data) {
  return request({
    url: '/szxc/guide',
    method: 'put',
    data: data
  })
}

// 删除办事指南
export function delGuide(id) {
  return request({
    url: '/szxc/guide/' + id,
    method: 'delete'
  })
}
